VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::appliance::techpreview::networking::firewall::addr::InboundTypes::FirewallRulePolicy Class Reference

`Inbound.FirewallRulePolicy` enumerated type Defines firewall rule policies More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, deny, allow }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static FirewallRulePolicy[] | GetValues ()
static FirewallRulePolicy | ValueOf (string name)
## Static Public Attributes
static readonly FirewallRulePolicy | deny = new FirewallRulePolicy("deny", Values.deny)
| Deny packet with correpsonding address.
static readonly FirewallRulePolicy | allow = new FirewallRulePolicy("allow", Values.allow)
| Allow packet with corresponding address.

## Detailed Description

`Inbound.FirewallRulePolicy` enumerated type Defines firewall rule policies

## Member Enumeration Documentation

enum vmware::appliance::techpreview::networking::firewall::addr::InboundTypes::FirewallRulePolicy::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  deny | Deny packet with correpsonding address.
  allow | Allow packet with corresponding address.

## Member Function Documentation

Values vmware::appliance::techpreview::networking::firewall::addr::InboundTypes::FirewallRulePolicy::GetEnumValue | ( |  | ) | `[inline]`

static FirewallRulePolicy [] vmware::appliance::techpreview::networking::firewall::addr::InboundTypes::FirewallRulePolicy::GetValues | ( |  | ) | `[inline, static]`

bool vmware::appliance::techpreview::networking::firewall::addr::InboundTypes::FirewallRulePolicy::IsUnknown | ( |  | ) | `[inline]`

static FirewallRulePolicy vmware::appliance::techpreview::networking::firewall::addr::InboundTypes::FirewallRulePolicy::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly FirewallRulePolicy vmware::appliance::techpreview::networking::firewall::addr::InboundTypes::FirewallRulePolicy::allow = new FirewallRulePolicy("allow", Values.allow)`[static]`

Allow packet with corresponding address.

readonly FirewallRulePolicy vmware::appliance::techpreview::networking::firewall::addr::InboundTypes::FirewallRulePolicy::deny = new FirewallRulePolicy("deny", Values.deny)`[static]`

Deny packet with correpsonding address.

The documentation for this class was generated from the following file:

- InboundTypes.cs